## ode 0.5.dfsg

=== Makefile ===
#########################################################################
#                                                                       #
# Open Dynamics Engine, Copyright (C) 2001,2002 Russell L. Smith.       #
# All rights reserved.  Email: russ@q12.org   Web: www.q12.org          #
#                                                                       #
# This library is free software; you can redistribute it and/or         #
# modify it under the terms of EITHER:                                  #
#   (1) The GNU Lesser General Public License as published by the Free  #
#       Software Foundation; either version 2.1 of the License, or (at  #
#       your option) any later version. The text of the GNU Lesser      #
#       General Public License is included with this library in the     #
#       file LICENSE.TXT.                                               #
#   (2) The BSD-style license that is included with this library in     #
#       the file LICENSE-BSD.TXT.                                       #
#                                                                       #
# This library is distributed in the hope that it will be useful,       #
# but WITHOUT ANY WARRANTY; without even the implied warranty of        #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the files    #
# LICENSE.TXT and LICENSE-BSD.TXT for more details.                     #
#                                                                       #
#########################################################################

.SUFFIXES:

USER_SETTINGS=config/user-settings
include $(USER_SETTINGS)
PLATFORM_MAKEFILE=config/makefile.$(PLATFORM)
include $(PLATFORM_MAKEFILE)

##############################################################################
# check some variables that were supposed to be defined

ifneq ($(BUILD),debug)
ifneq ($(BUILD),release)
$(error the BUILD variable is not set properly)
endif
endif

ifneq ($(PRECISION),SINGLE)
ifneq ($(PRECISION),DOUBLE)
$(error the PRECISION variable is not set properly)
endif
endif

##############################################################################
# package settings

ODE_SRC = \
	ode/src/array.cpp \
	ode/src/error.cpp \
	ode/src/memory.cpp \
	ode/src/obstack.cpp \
	ode/src/odemath.cpp \
	ode/src/matrix.cpp \
	ode/src/misc.cpp \
	ode/src/rotation.cpp \
	ode/src/mass.cpp \
	ode/src/ode.cpp \
	ode/src/step.cpp \
	ode/src/stepfast.cpp \
	ode/src/quickstep.cpp \
	ode/src/util.cpp \
	ode/src/lcp.cpp \
	ode/src/joint.cpp \
	ode/src/timer.cpp \
	ode/src/mat.cpp \
	ode/src/testing.cpp \
	ode/src/export-dif.cpp \
	ode/src/collision_kernel.cpp \
	ode/src/collision_util.cpp \
	ode/src/collision_std.cpp \
	ode/src/collision_space.cpp \
	ode/src/collision_transform.cpp \
	ode/src/collision_quadtreespace.cpp

ifdef OPCODE_DIRECTORY
ODE_SRC +=ode/src/collision_trimesh.cpp \
	ode/src/collision_trimesh_sphere.cpp \
	ode/src/collision_trimesh_box.cpp \
	ode/src/collision_trimesh_trimesh.cpp \
	ode/src/collision_trimesh_ray.cpp \
	ode/src/collision_trimesh_ccylinder.cpp \
	ode/src/collision_trimesh_distance.cpp
endif

ODE_PREGEN_SRC = \
	ode/src/fastldlt.c \
	ode/src/fastlsolve.c \
	ode/src/fastltsolve.c \
	ode/src/fastdot.c

ifeq ($(WINDOWS),1)
DRAWSTUFF_SRC = drawstuff/src/drawstuff.cpp drawstuff/src/windows.cpp
RESOURCE_FILE=lib/resources.RES
else
DRAWSTUFF_SRC = drawstuff/src/drawstuff.cpp drawstuff/src/x11.cpp
endif

ODE_LIB_NAME=ode
DRAWSTUFF_LIB_NAME=drawstuff

INCPATH=include
LIBPATH=lib

ODE_TEST_SRC_CPP = \
	ode/test/test_ode.cpp \
	ode/test/test_chain2.cpp \
	ode/test/test_hinge.cpp \
	ode/test/test_slider.cpp \
	ode/test/test_collision.cpp \
	ode/test/test_boxstack.cpp \
	ode/test/test_buggy.cpp \
	ode/test/test_crash.cpp \
	ode/test/test_joints.cpp \
	ode/test/test_space.cpp \
	ode/test/test_I.cpp \
	ode/test/test_step.cpp \
	ode/test/test_friction.cpp \
	ode/test/test_space_stress.cpp
ifdef OPCODE_DIRECTORY
ODE_TEST_SRC_CPP += \
	ode/test/test_trimesh.cpp \
	ode/test/test_moving_trimesh.cpp
endif

ODE_TEST_SRC_C = \
	ode/test/test_chain1.c
DRAWSTUFF_TEST_SRC_CPP = \
	drawstuff/dstest/dstest.cpp

CONFIGURATOR_SRC=configurator.c
CONFIG_H=include/ode/config.h

##############################################################################
# OPCODE build rules

ifdef OPCODE_DIRECTORY

ODE_SRC+=\
	OPCODE/OPC_AABBCollider.cpp \
	OPCODE/OPC_AABBTree.cpp \
	OPCODE/OPC_BaseModel.cpp \
	OPCODE/OPC_BoxPruning.cpp \
	OPCODE/OPC_Collider.cpp \
	OPCODE/OPC_Common.cpp \
	OPCODE/OPC_HybridModel.cpp \
	OPCODE/OPC_LSSCollider.cpp \
	OPCODE/OPC_MeshInterface.cpp \
	OPCODE/OPC_Model.cpp \
	OPCODE/OPC_OBBCollider.cpp \
	OPCODE/Opcode.cpp \
	OPCODE/OPC_OptimizedTree.cpp \
	OPCODE/OPC_Picking.cpp \
	OPCODE/OPC_PlanesCollider.cpp \
	OPCODE/OPC_RayCollider.cpp \
	OPCODE/OPC_SphereCollider.cpp \
	OPCODE/OPC_SweepAndPrune.cpp \
	OPCODE/OPC_TreeBuilders.cpp \
	OPCODE/OPC_TreeCollider.cpp \
	OPCODE/OPC_VolumeCollider.cpp \
	OPCODE/Ice/IceAABB.cpp \
	OPCODE/Ice/IceContainer.cpp \
	OPCODE/Ice/IceHPoint.cpp \
	OPCODE/Ice/IceIndexedTriangle.cpp \
	OPCODE/Ice/IceMatrix3x3.cpp \
	OPCODE/Ice/IceMatrix4x4.cpp \
	OPCODE/Ice/IceOBB.cpp \
	OPCODE/Ice/IcePlane.cpp \
	OPCODE/Ice/IcePoint.cpp \
	OPCODE/Ice/IceRandom.cpp \
	OPCODE/Ice/IceRay.cpp \
	OPCODE/Ice/IceRevisitedRadix.cpp \
	OPCODE/Ice/IceSegment.cpp \
	OPCODE/Ice/IceTriangle.cpp \
	OPCODE/Ice/IceUtils.cpp

# GCC versions 3.X generate bad code for some modules
# with -O2, so we use -O1 until we get this tied down a bit more.
# There are at least two problematic code modules with -O2, one of
# which is OPC_TreeCollider (if you identify the other, which causes
# problems with trimesh-trimesh collisions, then let us know).
ifeq ($(CC),g++)
OPCODE/%.o: OPT=1
endif

endif

##############################################################################
# derived things

DEFINES=

# support TriMesh/OPCODE on the compiler command line
ifdef OPCODE_DIRECTORY
DEFINES+=$(C_DEF)dTRIMESH_ENABLED
INC_OPCODE=$(C_INC)$(OPCODE_DIRECTORY)
endif

# add some defines depending on the build mode
ifeq ($(BUILD),release)
DEFINES+=$(C_DEF)dNODEBUG
endif

# object file names
ODE_PREGEN_OBJECTS=$(ODE_PREGEN_SRC:%.c=%$(OBJ))
ODE_OBJECTS=$(ODE_SRC:%.cpp=%$(OBJ)) $(ODE_PREGEN_OBJECTS)
DRAWSTUFF_OBJECTS=$(DRAWSTUFF_SRC:%.cpp=%$(OBJ)) $(RESOURCE_FILE)

# side-effect variables causing creation of files containing lists of
# filenames to be linked, to work around command-line-length limitations
# on outdated 16-bit operating systems. because of command-line length
# limitations we cannot issue a link command with all object filenames
# specified (because this command is too long and overflows the command
# buffer), but instead must create a file containing all object filenames
# to be linked, and specify this list-file with @listfile on the command-line.
#
# the difficult part is doing this in a flexible way; we don't want to
# hard-code the to-be-linked object filenames in a file, but instead
# want to dynamically create a file containing a list of all object filenames
# within the $XXX_OBJECTS makefile variables. to do this, we use side-effect
# variables.
#
# idea: when these variables are EVALUATED (i.e. later during rule execution,
# not now during variable definition), they cause a SIDE EFFECT which creates
# a file with the list of all ODE object files. why the chicanery??? because
# if we have a command-line length limitation, no SINGLE command we issue will 
# be able to create a file containing all object files to be linked
# (because that command itself would need to include all filenames, making
# it too long to be executed). instead, we must use the gnu-make "foreach"
# function, combined - probably in an unintended way - with the "shell" 
# function. this is probably unintended because we are not using the "shell"
# function to return a string value for variable evaluation, but are instead 
# using the "shell" function to cause a side effect (appending of each filename
# to the filename-list-file).
#
# one possible snag is that, forbidding use of any external EXE utilities and
# relying only on the facilities provided by the outdated 16-bit operating
# system, there is no way to issue a SERIES of commands which append text to
# the end of a file WITHOUT adding newlines. therefore, the list of to-be-
# linked object files is separated by newlines in the list file. fortunately,
# the linker utility for this outdated 16-bit operating system accepts
# filenames on separate lines in the list file.

# remember: when we evaluate these variables later, this causes the creation
# of the appropriate list file.
ifeq ($(WINDOWS16),1)
SIDE_EFFECT_ODE_OBJLIST = $(foreach o,$(ODE_OBJECTS),$(shell echo $(o) >> odeobj.txt ))
SIDE_EFFECT_DRAWSTUFF_OBJLIST = $(foreach o,$(DRAWSTUFF_OBJECTS),$(shell echo $(o) >> dsobj.txt ))
endif

# library file names
ODE_LIB=$(LIBPATH)/$(LIB_PREFIX)$(ODE_LIB_NAME)$(LIB_SUFFIX)
DRAWSTUFF_LIB=$(LIBPATH)/$(LIB_PREFIX)$(DRAWSTUFF_LIB_NAME)$(LIB_SUFFIX)

# executable file names
ODE_TEST_EXE=$(ODE_TEST_SRC_CPP:%.cpp=%.exe) $(ODE_TEST_SRC_C:%.c=%.exe)
DRAWSTUFF_TEST_EXE=$(DRAWSTUFF_TEST_SRC_CPP:%.cpp=%.exe)
CONFIGURATOR_EXE=$(CONFIGURATOR_SRC:%.c=%.exe)

##############################################################################
# rules
#
# NOTE: the '.c' files are pregenerated sources, and must be compiled with
# -O1 optimization. that is why the rule for .c files is a bit different.
# why should it be compiled with O1? it is numerical code that is generated
# by fbuild. O1 optimization is used to preserve the operation orders that
# were discovered by fbuild to be the fastest on that platform. believe it or
# not, O2 makes this code run much slower for most compilers.

all: ode-lib drawstuff-lib ode-test drawstuff-test
	@echo SUCCESS

ode-lib: configure $(ODE_LIB)
drawstuff-lib: configure $(DRAWSTUFF_LIB)
ode-test: ode-lib drawstuff-lib $(ODE_TEST_EXE)
drawstuff-test: drawstuff-lib $(DRAWSTUFF_TEST_EXE)

ifndef ODE_LIB_AR_RULE
ODE_LIB_AR_RULE=$(AR)$@
endif

$(ODE_LIB): pre_ode_lib $(ODE_OBJECTS)
ifeq ($(WINDOWS16),1)
#   if we have a command-line-length limitation, then dynamically create
#   a file containing all object filenames, and pass this file to the linker
#   instead of directly specifying the object filenames on the command line.
#   the very evaluation of the following variable causes creation of file
#   odeobj.txt
	$(SIDE_EFFECT_ODE_OBJLIST)
	$(ODE_LIB_AR_RULE) @odeobj.txt
else
#   if we have no command-line-length limitation, directly specify all
#   object files to be linked.
	$(ODE_LIB_AR_RULE) $(ODE_OBJECTS)
endif

ifdef RANLIB
	$(RANLIB) $@
endif

$(DRAWSTUFF_LIB): pre_drawstuff_lib $(DRAWSTUFF_OBJECTS)
ifeq ($WINDOWS16),1)
#   if we have a command-line-length limitation, then do the same as above.
	$(SIDE_EFFECT_DRAWSTUFF_OBJLIST)
	$(AR)$@ @dsobj.txt
else
#   if we have no command-line-length limitation, directly specify all object
#   files to be linked.
	$(AR)$@ $(DRAWSTUFF_OBJECTS)
endif
ifdef RANLIB
	$(RANLIB) $@
endif

# rules to be executed before library linking starts: delete list file (if one is used)

pre_ode_lib:
ifeq ($WINDOWS16),1)
	$(DEL_CMD) odeobj.txt
endif

pre_drawstuff_lib:
ifeq ($WINDOWS16),1)
	$(DEL_CMD) dsobj.txt
endif

clean:
	-$(DEL_CMD) $(ODE_OBJECTS) $(ODE_TEST_EXE) $(ODE_LIB) $(DRAWSTUFF_OBJECTS) $(DRAWSTUFF_TEST_EXE) $(DRAWSTUFF_LIB) ode/test/*$(OBJ) drawstuff/dstest/*$(OBJ) $(CONFIGURATOR_EXE) $(CONFIG_H)
	-$(DEL_CMD) OPCODE/*.obj OPCODE/*.o OPCODE/Ice/*.obj OPCODE/Ice/*.o

%$(OBJ): %.c
	$(CC) $(C_FLAGS) $(C_INC)$(INCPATH) $(DEFINES) $(C_OPT)1 $(C_OUT)$@ $<

%$(OBJ): %.cpp
	$(CC) $(C_FLAGS) $(C_INC)$(INCPATH) $(INC_OPCODE) $(DEFINES) $(C_OPT)$(OPT) $(C_OUT)$@ $<

%.exe: %$(OBJ)
	$(CC) $(C_EXEOUT)$@ $< $(ODE_LIB) $(DRAWSTUFF_LIB) $(RESOURCE_FILE) $(LINK_OPENGL) $(LINK_MATH)


# windows specific rules

lib/resources.RES: drawstuff/src/resources.rc
	$(RC_RULE)


# configurator rules

configure: $(CONFIG_H)

## ode 0.9.dfsg

=== build/gnu/Makefile ===
# Makefile autogenerated by premake
# Don't edit this file! Instead edit `premake.lua` then rerun `make`
# Options:
#   CONFIG=[DebugDLL|ReleaseDLL|DebugLib|ReleaseLib]

ifndef CONFIG
  CONFIG=DebugDLL
endif

export CONFIG

.PHONY: all clean ode drawstuff demo_boxstack demo_buggy demo_chain1 demo_chain2 demo_collision demo_crash demo_feedback demo_friction demo_heightfield demo_hinge demo_I demo_joints demo_motor demo_ode demo_plane2d demo_slider demo_space demo_space_stress demo_step demo_basket demo_cyl demo_moving_trimesh demo_trimesh demo_cylvssphere tests

all: ode drawstuff demo_boxstack demo_buggy demo_chain1 demo_chain2 demo_collision demo_crash demo_feedback demo_friction demo_heightfield demo_hinge demo_I demo_joints demo_motor demo_ode demo_plane2d demo_slider demo_space demo_space_stress demo_step demo_basket demo_cyl demo_moving_trimesh demo_trimesh demo_cylvssphere tests

Makefile: ../premake.lua ../ode.lua ../drawstuff.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../tests.lua
	@echo ==== Regenerating Makefiles ====
	@premake --file $^ --usetargetpath --with-demos --with-tests --clean --target gnu

ode:
	@echo ==== Building ode ====
	@$(MAKE) --no-print-directory -C . -f ode.make

drawstuff:
	@echo ==== Building drawstuff ====
	@$(MAKE) --no-print-directory -C . -f drawstuff.make

demo_boxstack: ode drawstuff
	@echo ==== Building demo_boxstack ====
	@$(MAKE) --no-print-directory -C . -f demo_boxstack.make

demo_buggy: ode drawstuff
	@echo ==== Building demo_buggy ====
	@$(MAKE) --no-print-directory -C . -f demo_buggy.make

demo_chain1: ode drawstuff
	@echo ==== Building demo_chain1 ====
	@$(MAKE) --no-print-directory -C . -f demo_chain1.make

demo_chain2: ode drawstuff
	@echo ==== Building demo_chain2 ====
	@$(MAKE) --no-print-directory -C . -f demo_chain2.make

demo_collision: ode drawstuff
	@echo ==== Building demo_collision ====
	@$(MAKE) --no-print-directory -C . -f demo_collision.make

demo_crash: ode drawstuff
	@echo ==== Building demo_crash ====
	@$(MAKE) --no-print-directory -C . -f demo_crash.make

demo_feedback: ode drawstuff
	@echo ==== Building demo_feedback ====
	@$(MAKE) --no-print-directory -C . -f demo_feedback.make

demo_friction: ode drawstuff
	@echo ==== Building demo_friction ====
	@$(MAKE) --no-print-directory -C . -f demo_friction.make

demo_heightfield: ode drawstuff
	@echo ==== Building demo_heightfield ====
	@$(MAKE) --no-print-directory -C . -f demo_heightfield.make

demo_hinge: ode drawstuff
	@echo ==== Building demo_hinge ====
	@$(MAKE) --no-print-directory -C . -f demo_hinge.make

demo_I: ode drawstuff
	@echo ==== Building demo_I ====
	@$(MAKE) --no-print-directory -C . -f demo_I.make

demo_joints: ode drawstuff
	@echo ==== Building demo_joints ====
	@$(MAKE) --no-print-directory -C . -f demo_joints.make

demo_motor: ode drawstuff
	@echo ==== Building demo_motor ====
	@$(MAKE) --no-print-directory -C . -f demo_motor.make

demo_ode: ode drawstuff
	@echo ==== Building demo_ode ====
	@$(MAKE) --no-print-directory -C . -f demo_ode.make

demo_plane2d: ode drawstuff
	@echo ==== Building demo_plane2d ====
	@$(MAKE) --no-print-directory -C . -f demo_plane2d.make

demo_slider: ode drawstuff
	@echo ==== Building demo_slider ====
	@$(MAKE) --no-print-directory -C . -f demo_slider.make

demo_space: ode drawstuff
	@echo ==== Building demo_space ====
	@$(MAKE) --no-print-directory -C . -f demo_space.make

demo_space_stress: ode drawstuff
	@echo ==== Building demo_space_stress ====
	@$(MAKE) --no-print-directory -C . -f demo_space_stress.make

demo_step: ode drawstuff
	@echo ==== Building demo_step ====
	@$(MAKE) --no-print-directory -C . -f demo_step.make

demo_basket: ode drawstuff
	@echo ==== Building demo_basket ====
	@$(MAKE) --no-print-directory -C . -f demo_basket.make

demo_cyl: ode drawstuff
	@echo ==== Building demo_cyl ====
	@$(MAKE) --no-print-directory -C . -f demo_cyl.make

demo_moving_trimesh: ode drawstuff
	@echo ==== Building demo_moving_trimesh ====
	@$(MAKE) --no-print-directory -C . -f demo_moving_trimesh.make

demo_trimesh: ode drawstuff
	@echo ==== Building demo_trimesh ====
	@$(MAKE) --no-print-directory -C . -f demo_trimesh.make

demo_cylvssphere: ode drawstuff
	@echo ==== Building demo_cylvssphere ====
	@$(MAKE) --no-print-directory -C . -f demo_cylvssphere.make

tests: ode
	@echo ==== Building tests ====
	@$(MAKE) --no-print-directory -C . -f tests.make

clean:
	@$(MAKE) --no-print-directory -C . -f ode.make clean
	@$(MAKE) --no-print-directory -C . -f drawstuff.make clean
	@$(MAKE) --no-print-directory -C . -f demo_boxstack.make clean
	@$(MAKE) --no-print-directory -C . -f demo_buggy.make clean
	@$(MAKE) --no-print-directory -C . -f demo_chain1.make clean
	@$(MAKE) --no-print-directory -C . -f demo_chain2.make clean
	@$(MAKE) --no-print-directory -C . -f demo_collision.make clean
	@$(MAKE) --no-print-directory -C . -f demo_crash.make clean
	@$(MAKE) --no-print-directory -C . -f demo_feedback.make clean
	@$(MAKE) --no-print-directory -C . -f demo_friction.make clean
	@$(MAKE) --no-print-directory -C . -f demo_heightfield.make clean
	@$(MAKE) --no-print-directory -C . -f demo_hinge.make clean
	@$(MAKE) --no-print-directory -C . -f demo_I.make clean
	@$(MAKE) --no-print-directory -C . -f demo_joints.make clean
	@$(MAKE) --no-print-directory -C . -f demo_motor.make clean
	@$(MAKE) --no-print-directory -C . -f demo_ode.make clean
	@$(MAKE) --no-print-directory -C . -f demo_plane2d.make clean
	@$(MAKE) --no-print-directory -C . -f demo_slider.make clean
	@$(MAKE) --no-print-directory -C . -f demo_space.make clean
	@$(MAKE) --no-print-directory -C . -f demo_space_stress.make clean
	@$(MAKE) --no-print-directory -C . -f demo_step.make clean
	@$(MAKE) --no-print-directory -C . -f demo_basket.make clean
	@$(MAKE) --no-print-directory -C . -f demo_cyl.make clean
	@$(MAKE) --no-print-directory -C . -f demo_moving_trimesh.make clean
	@$(MAKE) --no-print-directory -C . -f demo_trimesh.make clean
	@$(MAKE) --no-print-directory -C . -f demo_cylvssphere.make clean
	@$(MAKE) --no-print-directory -C . -f tests.make clean

## ode 0.11.1-5maemo5

=== debian/changelog ===
ode (0.11.1-5maemo5) unstable; urgency=low

  * Initial release for Maemo.

 -- Daniil Ivanov <daniil.ivanov@gmail.com>  Tue, 12 Oct 2010 16:13:46 +0300

=== debian/control ===
Source: ode
Section: devel
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Guus Sliepen <guus@debian.org>, Gonéri Le Bouder <goneri@rulezlan.org>,
 Barry deFreese <bddebian@comcast.net>
Build-Depends: debhelper (>> 5.0.0), quilt, docbook-to-man,
 libglu1-mesa-dev | libglu-dev, libgl1-mesa-dev | libgl-dev
Standards-Version: 3.8.2
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/ode/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/ode/?op=log
Homepage: http://www.ode.org/

Package: libode1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libode0
Replaces: libode0
Description: Open Dynamics Engine - runtime library
 ODE is a free, industrial quality library for simulating articulated rigid
 body dynamics - for example ground vehicles, legged creatures, and moving
 objects in VR environments. It is fast, flexible, robust and platform
 independent, with advanced joints, contact with friction, and built-in
 collision detection.
 .
 This package provides the shared libraries.

Package: libode-dev
Section: libdevel
Architecture: any
Depends: libode1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: ode-dev, libode0-dev, libode-sp-dev
Replaces: ode-dev, libode0-dev
Provides: libode0-dev
Description: Open Dynamics Engine - development files
 ODE is a free, industrial quality library for simulating articulated rigid
 body dynamics - for example ground vehicles, legged creatures, and moving
 objects in VR environments. It is fast, flexible, robust and platform
 independent, with advanced joints, contact with friction, and built-in
 collision detection.
 .
 This package provides the header files and static libraries built with
 double precision.

Package: libode1sp
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libode0
Replaces: libode0
Description: Open Dynamics Engine - runtime library
 ODE is a free, industrial quality library for simulating articulated rigid
 body dynamics - for example ground vehicles, legged creatures, and moving
 objects in VR environments. It is fast, flexible, robust and platform
 independent, with advanced joints, contact with friction, and built-in
 collision detection.
 .
 This package provides the shared libraries.

Package: libode-sp-dev
Section: libdevel
Architecture: any
Depends: libode1sp (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: ode-dev, libode0-dev, libode-dev
Replaces: ode-dev, libode0-dev
Provides: libode0-dev
Description: Open Dynamics Engine - development files
 ODE is a free, industrial quality library for simulating articulated rigid
 body dynamics - for example ground vehicles, legged creatures, and moving
 objects in VR environments. It is fast, flexible, robust and platform
 independent, with advanced joints, contact with friction, and built-in
 collision detection.
 .
 This package provides the header files and static libraries built with
 precision.

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CXXFLAGS += -O0 -g3
	CFLAGS += -O0 -g3
	export CXXFLAGS CFLAGS
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	QUILT_PATCHES=debian/patches quilt push -a || test $$? = 2
	mkdir -p debian/build/dp debian/build/sp
	# SP: single precision build
	cd debian/build/sp && ../../../configure --enable-shared --prefix=/usr
	# Adjust the SONAME of the single precision flavor
	sed -i 's,^soname_spec=.*,soname_spec=libode.so.1sp,' debian/build/sp/libtool
	cd debian/build/dp && ../../../configure --enable-shared --prefix=/usr --enable-double-precision
	
	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	cd debian/build/sp && $(MAKE)
	cd debian/build/dp && $(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp \
	    configure-stamp
	rm -rf \
		debian/build \
		debian/tmp-sp \
		debian/tmp-dp
	
	# Add here commands to clean up after the build process.
	QUILT_PATCHES=debian/patches quilt pop -a -R || test $$? = 2
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean configure-stamp build-stamp debian/ode-config.1

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	cd debian/build/sp && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp-sp
	rm debian/tmp-sp/usr/lib/libode.so.1
	mv debian/tmp-sp/usr/lib/libode.so.1.1.1 \
		debian/tmp-sp/usr/lib/libode.so.1.1.1sp
	cd debian/build/dp && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp-dp

	docbook-to-man debian/ode-config.man.sgml > \
	debian/ode-config.1

# Build architecture-independent files here.
binary-indep:
# no arch indep
#	dh_testdir -i
#	dh_testroot -i
#	dh_installdocs -i
#	dh_install -i
#	dh_installchangelogs -i CHANGELOG.txt
#	dh_compress -i
#	dh_fixperms -i
#	dh_installdeb -i
#	dh_gencontrol -i
#	dh_md5sums -i
#	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installman -plibode-dev debian/ode-config.1
	dh_installman -plibode-sp-dev debian/ode-config.1
	dh_install --sourcedir=debian/tmp-sp -plibode-sp-dev
	dh_install --sourcedir=debian/tmp-sp -plibode1sp
	dh_install --sourcedir=debian/tmp-dp -plibode-dev
	dh_install --sourcedir=debian/tmp-dp -plibode1
	dh_installchangelogs -a CHANGELOG.txt
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_shlibdeps -a
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3

opts="dversionmangle=s/\.dfsg(.?\d+)?$//" \
http://sf.net/opende/ode-src-([\d.]+)\.zip

## ode 0.13.1+git20150309

=== debian/changelog ===
ode (2:0.13.1+git20150309-2) unstable; urgency=medium

  * Uploaded version to unstable. 
  * Transition initiated to libode4.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Tue, 10 Nov 2015 14:54:59 +0100

ode (2:0.13.1+git20150309-1) experimental; urgency=low

  [ Jonathan Dowland ]
  * Team upload.
  * Update Vcs-Browser field in control file. Closes: #705591.

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Anton Balashov ]
  * Fix the watch file (Closes: #705523)

  [ Jackson Doak ]
  * New upstream release. 0.12
  * debian/control: 
    - Bump debhelper to 9
    - Build-depend on dh-autoreconf
  * debian/compat: Set as 9
  * debian/rules: 
    - Switch to dh
    - Remove manpage lines
    - Enable Hardening
    - Use dh_autoreconf
  * Create PACKAGE.manpage files
  * Create debian/source/format 

  [ Leopold Palomo-Avellaneda ]
  * Continue Jackson Doak work ...
  * New upstream release: 0.13.1 with a patch (Closes: #670746)
    Version used git cloned 20150309.
  * New upstream release + git version
  * Added missing dependencies
  * Bump standards to 3.9.6. No changes
  * Added myself as Uploaders
  * Deleted unused files
  * Adapted files to new Soname
  * Rename packages to a new version of Sonames 
  * Refactored rules. Conditional options depends on the platform
  * Updated Vcs-Browser and Vcs-Git
  * Drop sp version. Now all platforms have double precision excep
    armel, mips and mipseland that have single precision. Thanks 
    Simon McVittie.
  * Install files more simple and better changelog. Thanks to Gianfranco 
    Costamagna
  * New watch file for Bitbucket
  * Added patch to solve autoreconf issue. Thanks to James Cowgill and 
    Gianfranco Costamagna. Now it's working with dh-autoreconf
  * Dropped unused vars and clean tabs
  * Setting version to experimental
  * Dropped override rule

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Fri, 03 Oct 2014 14:47:43 +0200

ode (2:0.11.1-4.1) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Non-maintainer upload.
  * Build-depends on dh-autoreconf.

  [ Breno Leitao ]
  * Run dh_autoreconf to update autoconf/libtool files (Closes: #752463).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 17 Sep 2014 22:37:14 +0200

ode (2:0.11.1-4) unstable; urgency=low

  * Team upload.

  [ Gonéri Le Bouder ]
  * improve the description, thanks Josh Triplett (Closes: #539092)

  [ Paul Wise ]
  * Remove Guus Sliepen from uploaders at his request

  [ Evgeni Golov ]
  * Add LIBS="-X11" to the configure call.
    Closes: #555783
  * Add "single precision" to the short descriptions of the sp packages.
  * Drop quilt, it's not used.

 -- Evgeni Golov <evgeni@debian.org>  Wed, 11 May 2011 15:12:46 +0200

ode (2:0.11.1-3) unstable; urgency=low

  * Upload to unstable 

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Tue, 28 Jul 2009 21:03:42 +0200

ode (2:0.11.1-2) experimental; urgency=low

  * rules: clean up some old comment 
  * provide a single precision flavor:
     add libode-sp-dev and libode1sp (Closes: #534256, #534177)
  * refresh debian/copyright 
  * install ode.pc (Closes: #462629)

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 26 Jul 2009 23:31:04 +0200

ode (2:0.11.1-1) unstable; urgency=low

  * New upstream release (Closes: #532054)
  * Use "make distclean" to do the clean up
  * Bump the standard-version to 3.8.2. No change needed.

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Tue, 30 Jun 2009 21:49:35 +0200

ode (2:0.11-4) unstable; urgency=low

  * Upload to unstable 

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 15 Mar 2009 15:19:05 +0100

ode (2:0.11-3) experimental; urgency=low

  * libode-dev provides libode0-dev 

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Mon, 16 Feb 2009 00:14:13 +0100

ode (2:0.11-2) experimental; urgency=low

  * libode-dev conflicts against libode0-dev, thanks Vincent Bernat 

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 15 Feb 2009 23:29:17 +0100

ode (2:0.11-1) experimental; urgency=low

  * New upstream release 
  * debian/rules: clean up

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 15 Feb 2009 00:36:34 +0100

ode (2:0.10.1-1) experimental; urgency=low

  * new upstream release 
   - remove fix_makeinstall.diff, useless now 
  * remove libode-doc package, the documentation is not provided with
    the sources anymore
  * calls dh_makeshlibs before dh_shlibdeps
  * adjust the rules file
  * upstream bumped the soversion
   - adjust the rules
   - rename libode0debian1 to libode1 and libode0-dev to libode-dev
   - drop change_soname.patch
  * standard version 3.8.0
  * enable double precision

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Mon, 08 Dec 2008 00:15:02 +0100

ode (2:0.9-1) unstable; urgency=low

  * use the original ode tarball since, thanks to Hans de Goede who pointed
    out a clause in OPCODE FAQ that make it dfsg OK
    (Closes: #440484, #465464, #431058)
  * update the copyright file
  * bump the epoch since 0.9.dfsg-2 > 0.9-1
  * bump the standard version to 3.7.3
  * do not create the /usr/include/ode/config which was useless

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Wed, 30 Apr 2008 15:30:34 +0200

ode (1:0.9.dfsg-2) unstable; urgency=low

  [ Eddy Petrișor ]
  * fix Vcs-Svn URL to point to svn, not the incomplete ssh location

  [ Goneri Le Bouder ]
  * indent the Uploaders and Build-Depends entries
  * add libglu-dev and libgl-dev as alternative build dependency for Mesa to
    be able to build with Nvidia nvidia-glx-dev (Closes: #475564)
  * remove some file from the diff.gz

 -- Goneri Le Bouder <goneri@rulezlan.org>  Sat, 26 Apr 2008 02:58:35 +0200

ode (1:0.9.dfsg-1) unstable; urgency=low

  [ Barry deFreese ]
  * Add watch file
  * Add myself to uploaders

  [ Gonéri Le Bouder ]
  * New upstream release
  * use binary-indep, dpkg-buildpackage -B doesn't build binary indep
    package anymore
  * add Vcs-Browser
  * Renamed “XS-Vcs-Svn” to “Vcs-Svn”, now officially supported by dpkg.


=== debian/control ===
Source: ode
Section: devel
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Barry deFreese <bddebian@comcast.net>, 
	   Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 9), docbook-to-man, dh-autoreconf,
 libglu1-mesa-dev | libglu-dev, libgl1-mesa-dev | libgl-dev,
 libccd-dev
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/ode.git
Vcs-Git: git://anonscm.debian.org/pkg-games/ode.git
Homepage: http://www.ode.org/

Package: libode4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Open Dynamics Engine - runtime library
 ODE is a free, industrial quality library for simulating articulated rigid
 body dynamics - for example ground vehicles, legged creatures, and moving
 objects in VR environments. It is fast, flexible, robust and platform
 independent, with advanced joints, contact with friction, and built-in
 collision detection.
 .
 This package provides the shared libraries built with double precision,
 default in 64 bits platforms. In 32 bits platforms default is single
 precision.


Package: libode-dev
Section: libdevel
Architecture: any
Depends: libode4 (= ${binary:Version}), ${misc:Depends}
Conflicts: libode0-dev, libode-sp-dev
Replaces: libode0-dev
Provides: libode4-dev
Description: Open Dynamics Engine - development files
 ODE is a free, industrial quality library for simulating articulated rigid
 body dynamics - for example ground vehicles, legged creatures, and moving
 objects in VR environments. It is fast, flexible, robust and platform
 independent, with advanced joints, contact with friction, and built-in
 collision detection.
 .
 This package provides the header files and static libraries built with
 double precision, default in 64 bits platforms. In 32 bits platforms
 default is single precision.

## ode 0.14

=== debian/changelog ===
ode (2:0.14-2) unstable; urgency=medium

  * Uploaded version to unstable.
  * Transition initiated to libode6.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Thu, 19 May 2016 09:09:53 +0200

ode (2:0.14-1) experimental; urgency=medium

  * New upstream version. Upstream recover the two number version X.Y
  * Transition initiated to libode6 (upstream jump two numbers)
  * Droped applied patch from upstream
  * Upstream bump soname. Packages adapted
  * Dropped old filename
  * Bump Standards-Version to 3.9.8 (no changes)
  * Updated Vcs-Browser and Vcs-Git fields

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Wed, 27 Apr 2016 08:31:56 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends: debhelper (>= 9), docbook-to-man, dh-autoreconf,
  libglu1-mesa-dev | libglu-dev, libgl1-mesa-dev | libgl-dev,
  libccd-dev
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/ode.git
-Vcs-Git: git://anonscm.debian.org/pkg-games/ode.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/ode.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/ode.git
 Homepage: http://www.ode.org/
 
-Package: libode4
+Package: libode6
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -32,10 +32,10 @@
 Package: libode-dev
 Section: libdevel
 Architecture: any
-Depends: libode4 (= ${binary:Version}), ${misc:Depends}
-Conflicts: libode0-dev, libode-sp-dev
+Depends: libode6 (= ${binary:Version}), ${misc:Depends}
+Conflicts: libode0-dev, libode-sp-dev, libode4-dev
 Replaces: libode0-dev
-Provides: libode4-dev
+Provides: libode6-dev
 Description: Open Dynamics Engine - development files
  ODE is a free, industrial quality library for simulating articulated rigid
  body dynamics - for example ground vehicles, legged creatures, and moving

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

# enabling single precision only for armel, mips and mipsel
ifeq ($(DEB_HOST_ARCH),armel)
	CONFIG_OPTS = --enable-single-precision
else ifeq ($(DEB_HOST_ARCH),mips)
	CONFIG_OPTS = --enable-single-precision
else ifeq ($(DEB_HOST_ARCH),mipsel)
	CONFIG_OPTS = --enable-single-precision
else
	CONFIG_OPTS = --enable-double-precision
endif

CONFIG_OPTS += 	--mandir=/usr/share/man \
                --with-libccd=system \
                --enable-libccd \
                --enable-shared \
                --enable-static

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIG_OPTS)

override_dh_auto_build:
	dh_auto_build
	docbook-to-man debian/ode-config.man.sgml > debian/ode-config.1

=== debian/watch ===
version=3

opts="dversionmangle=s/\.dfsg(.?\d+)?$//" \
https://bitbucket.org/odedevs/ode/downloads .*/(\d\S*)\.tar\.gz
